org.eclipse.viatra.transformation.runtime.emf.rules.batch

## Class BatchTransformationRuleFactory.BatchTransformationRuleBuilder<Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>>

- java.lang.Object
- - org.eclipse.viatra.transformation.runtime.emf.rules.batch.BatchTransformationRuleFactory.BatchTransformationRuleBuilder<Match,Matcher>

- Enclosing class:
    BatchTransformationRuleFactory

      public class BatchTransformationRuleFactory.BatchTransformationRuleBuilder<Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchTransformationRuleBuilder()` Deprecated. Use `#BatchTransformationRuleFactory(IQuerySpecification)` instead
    `BatchTransformationRuleBuilder(IQuerySpecification<Matcher> precondition)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `BatchTransformationRuleFactory.BatchTransformationRuleBuilder<Match,Matcher>` | `action(java.util.function.Consumer<Match> action)` Sets the model manipulation actions of the rule.
    `BatchTransformationRule<Match,Matcher>` | `build()`
    `BatchTransformationRule<Match,Matcher>` | `buildStateful()`
    `BatchTransformationRuleFactory.BatchTransformationRuleBuilder<Match,Matcher>` | `filter(EventFilter<? super Match> filter)` Sets the event filter of the rule.
    `BatchTransformationRuleFactory.BatchTransformationRuleBuilder<Match,Matcher>` | `name(java.lang.String name)` Sets the user-understandable name of the rule.
    `BatchTransformationRuleFactory.BatchTransformationRuleBuilder<Match,Matcher>` | `precondition(IQuerySpecification<Matcher> precondition)` Deprecated. Use `#BatchTransformationRuleFactory(IQuerySpecification)` instead

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchTransformationRuleBuilder

          @Deprecated
          public BatchTransformationRuleBuilder()

      Deprecated. Use `#BatchTransformationRuleFactory(IQuerySpecification)` instead

    - #### BatchTransformationRuleBuilder

          public BatchTransformationRuleBuilder(IQuerySpecification<Matcher> precondition)

      Since:
        2.1

  - ### Method Detail

    - #### name

          public BatchTransformationRuleFactory.BatchTransformationRuleBuilder<Match,Matcher> name(java.lang.String name)

      Sets the user-understandable name of the rule. Should be unique if set.

    - #### precondition

          @Deprecated
          public BatchTransformationRuleFactory.BatchTransformationRuleBuilder<Match,Matcher> precondition(IQuerySpecification<Matcher> precondition)

      Deprecated. Use `#BatchTransformationRuleFactory(IQuerySpecification)` instead
      Sets the precondition query of the rule.

    - #### action

          public BatchTransformationRuleFactory.BatchTransformationRuleBuilder<Match,Matcher> action(java.util.function.Consumer<Match> action)

      Sets the model manipulation actions of the rule.
      Since:
        2.0

    - #### filter

          public BatchTransformationRuleFactory.BatchTransformationRuleBuilder<Match,Matcher> filter(EventFilter<? super Match> filter)

      Sets the event filter of the rule.
      Since:
        1.3

    - #### build

          public BatchTransformationRule<Match,Matcher> build()

    - #### buildStateful

          public BatchTransformationRule<Match,Matcher> buildStateful()